from setuptools import setup

with open("README.md", "r") as handle:
    long_description = handle.read()

# fmt: off
configuration = dict(
    name="awesome_rpc",
    version="0.1.0",
    description="Asynchronous RPC library",
    long_description=long_description,
    long_description_content_type="text/markdown",
    classifiers=[
    ],
    author="drive64",
    author_email="drive64@protonmail.com",
    maintainer=", ".join(
        (
            "drive64 <drive64@protonmail.com>",
        ),
    ),
    maintainer_email="drive64@protonmail.com",
    url="https://gitlab.com/drive64/awesome_rpc",
    project_urls={
        "Gitlab": "https://gitlab.com/drive64/awesome_rpc",
    },
    license="MIT",
    packages=["awesome_rpc"],
    python_requires=">=3.7",
    install_requires=[
        "aiosocks>=0.2.6",
        "marshmallow>=3.9.1",
    ],
    include_package_data=True,
    scripts=[
        "bin/rpc",
    ],
)
setup(**configuration)
# fmt: on
